Package com.scriptel.proscript

## Class PenParameters

- java.lang.Object
- - com.scriptel.proscript.PenParameters

-     public class PenParameters
      extends java.lang.Object

  This class represents pen parameters of a ScripTouch device.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAdcAverage()` | Gets the ADC average.
    `int` | `getAutoPenThreshold()` | Gets the auto pen threshold.
    `int` | `getAutoTouchThreshold()` | Gets the auto touch threshold.
    `int` | `getCoordinateAverage()` | Gets the coordinate average.
    `int` | `getDebouncePostDown()` | Gets the de-bounce post down.
    `int` | `getDebouncePostUp()` | Gets the de-bounce post up.
    `int` | `getDebouncePreDown()` | Gets the de-bounce pre up.
    `int` | `getDebouncePreUp()` | Gets the de-bounce pre up.
    `int` | `getInterruptRate()` | Gets the interrupt rate.
    `int` | `getOffsetInterval()` | Gets the offset interval.
    `int` | `getProximity()` | Gets the proximity.
    `int` | `getReserved1()` | Reserved for future use.
    `int` | `getReserved2()` | Reserved for future use.
    `int` | `getReserved3()` | Reserved for future use.
    `boolean` | `isErrorCorrectionEnabled()` | Gets whether or not error correction is enabled.
    `boolean` | `isOffsetCorrectionEnabled()` | Gets whether or not offset correction is enabled.
    `boolean` | `isTipInverted()` | Gets whether or not the tip switch is inverted.
    `void` | `setAdcAverage​(int adcAverage)` | Sets the adc average.
    `void` | `setAutoPenThreshold​(int autoPenThreshold)` | Sets auto pen threshold.
    `void` | `setAutoTouchThreshold​(int autoTouchThreshold)` | Sets auto touch threshold.
    `void` | `setCoordinateAverage​(int coordinateAverage)` | Sets the coordinate average.
    `void` | `setDebouncePostDown​(int debouncePostDown)` | Sets the de-bounce post down.
    `void` | `setDebouncePostUp​(int debouncePostUp)` | Sets the de-bounce post up.
    `void` | `setDebouncePreDown​(int debouncePreDown)` | Sets the de-bounce pre down.
    `void` | `setDebouncePreUp​(int debouncePreUp)` | Sets the de-bounce pre up.
    `void` | `setErrorCorrectionEnabled​(boolean errorCorrectionEnabled)` | Sets whether or not error correction is enabled.
    `void` | `setInterruptRate​(int interruptRate)` | Sets interrupt rate.
    `void` | `setOffsetCorrectionEnabled​(boolean offsetCorrectionEnabled)` | Sets whether or not offset correction is enabled.
    `void` | `setOffsetInterval​(int offsetInterval)` | Sets the offset interval.
    `void` | `setProximity​(int proximity)` | Sets proximity.
    `void` | `setReserved1​(int reserved1)` | Reserved for future use.
    `void` | `setReserved2​(int reserved2)` | Reserved for future use.
    `void` | `setReserved3​(int reserved3)` | Reserved for future use.
    `void` | `setTipInverted​(boolean tipInverted)` | Sets whether or not the tip switch is inverted.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### getProximity

          public int getProximity()

      Gets the proximity.
      Returns:
        the proximity

    - #### getAutoPenThreshold

          public int getAutoPenThreshold()

      Gets the auto pen threshold.
      Returns:
        the autoPenThreshold

    - #### getAutoTouchThreshold

          public int getAutoTouchThreshold()

      Gets the auto touch threshold.
      Returns:
        the autoTouchThreshold

    - #### getAdcAverage

          public int getAdcAverage()

      Gets the ADC average.
      Returns:
        the adcAverage

    - #### getCoordinateAverage

          public int getCoordinateAverage()

      Gets the coordinate average.
      Returns:
        the coordinateAverage

    - #### getOffsetInterval

          public int getOffsetInterval()

      Gets the offset interval.
      Returns:
        the offsetInterval

    - #### getDebouncePreDown

          public int getDebouncePreDown()

      Gets the de-bounce pre up.
      Returns:
        the debouncePreDown

    - #### getDebouncePostDown

          public int getDebouncePostDown()

      Gets the de-bounce post down.
      Returns:
        the debouncePostDown

    - #### getDebouncePreUp

          public int getDebouncePreUp()

      Gets the de-bounce pre up.
      Returns:
        the debouncePreUp

    - #### getDebouncePostUp

          public int getDebouncePostUp()

      Gets the de-bounce post up.
      Returns:
        the debouncePostUp

    - #### isErrorCorrectionEnabled

          public boolean isErrorCorrectionEnabled()

      Gets whether or not error correction is enabled.
      Returns:
        the errorCorrectionEnable

    - #### getReserved1

          public int getReserved1()

      Reserved for future use.
      Returns:
        the reserved1

    - #### isOffsetCorrectionEnabled

          public boolean isOffsetCorrectionEnabled()

      Gets whether or not offset correction is enabled.
      Returns:
        the offsetCorrectionEnable

    - #### getReserved2

          public int getReserved2()

      Reserved for future use.
      Returns:
        the reserved2

    - #### isTipInverted

          public boolean isTipInverted()

      Gets whether or not the tip switch is inverted.
      Returns:
        the tipInverted

    - #### getInterruptRate

          public int getInterruptRate()

      Gets the interrupt rate.
      Returns:
        the interruptRate

    - #### getReserved3

          public int getReserved3()

      Reserved for future use.
      Returns:
        the reserved3

    - #### setProximity

          public void setProximity​(int proximity)

      Sets proximity.
      Parameters:
        `proximity` - the proximity to set

    - #### setAutoPenThreshold

          public void setAutoPenThreshold​(int autoPenThreshold)

      Sets auto pen threshold.
      Parameters:
        `autoPenThreshold` - the autoPenThreshold to set

    - #### setAutoTouchThreshold

          public void setAutoTouchThreshold​(int autoTouchThreshold)

      Sets auto touch threshold.
      Parameters:
        `autoTouchThreshold` - the autoTouchThreshold to set

    - #### setAdcAverage

          public void setAdcAverage​(int adcAverage)

      Sets the adc average.
      Parameters:
        `adcAverage` - the adcAverage to set

    - #### setCoordinateAverage

          public void setCoordinateAverage​(int coordinateAverage)

      Sets the coordinate average.
      Parameters:
        `coordinateAverage` - the coordinateAverage to set

    - #### setOffsetInterval

          public void setOffsetInterval​(int offsetInterval)

      Sets the offset interval.
      Parameters:
        `offsetInterval` - the offsetInterval to set

    - #### setDebouncePreDown

          public void setDebouncePreDown​(int debouncePreDown)

      Sets the de-bounce pre down.
      Parameters:
        `debouncePreDown` - the debouncePreDown to set

    - #### setDebouncePostDown

          public void setDebouncePostDown​(int debouncePostDown)

      Sets the de-bounce post down.
      Parameters:
        `debouncePostDown` - the debouncePostDown to set

    - #### setDebouncePreUp

          public void setDebouncePreUp​(int debouncePreUp)

      Sets the de-bounce pre up.
      Parameters:
        `debouncePreUp` - the debouncePreUp to set

    - #### setDebouncePostUp

          public void setDebouncePostUp​(int debouncePostUp)

      Sets the de-bounce post up.
      Parameters:
        `debouncePostUp` - the debouncePostUp to set

    - #### setErrorCorrectionEnabled

          public void setErrorCorrectionEnabled​(boolean errorCorrectionEnabled)

      Sets whether or not error correction is enabled.
      Parameters:
        `errorCorrectionEnabled` - the errorCorrectionEnabled to set

    - #### setReserved1

          public void setReserved1​(int reserved1)

      Reserved for future use.
      Parameters:
        `reserved1` - the reserved1 to set

    - #### setOffsetCorrectionEnabled

          public void setOffsetCorrectionEnabled​(boolean offsetCorrectionEnabled)

      Sets whether or not offset correction is enabled.
      Parameters:
        `offsetCorrectionEnabled` - the offsetCorrectionEnabled to set

    - #### setReserved2

          public void setReserved2​(int reserved2)

      Reserved for future use.
      Parameters:
        `reserved2` - the reserved2 to set

    - #### setTipInverted

          public void setTipInverted​(boolean tipInverted)

      Sets whether or not the tip switch is inverted.
      Parameters:
        `tipInverted` - the tipInverted to set

    - #### setReserved3

          public void setReserved3​(int reserved3)

      Reserved for future use.
      Parameters:
        `reserved3` - the reserved3 to set

    - #### setInterruptRate

          public void setInterruptRate​(int interruptRate)

      Sets interrupt rate.
      Parameters:
        `interruptRate` - the interruptRate to set